Kwalitee Issues

no_pax_headers

If you use Mac OS X >= 10.6, use gnu tar (/usr/bin/gnutar) to avoid PAX headers. It's also important to rename (shorten) long file names (>= 100 characters) in the distribution.

Error: ./PaxHeaders.9829/Net-OBS-Client,./PaxHeaders.9829/Net-OBS-Client,Net-OBS-Client/PaxHeaders.9829/MANIFEST,Net-OBS-Client/PaxHeaders.9829/MANIFEST,Net-OBS-Client/PaxHeaders.9829/MANIFEST.SKIP,Net-OBS-Client/PaxHeaders.9829/MANIFEST.SKIP,Net-OBS-Client/PaxHeaders.9829/ignore.txt,Net-OBS-Client/PaxHeaders.9829/ignore.txt,Net-OBS-Client/PaxHeaders.9829/lib,Net-OBS-Client/PaxHeaders.9829/lib,Net-OBS-Client/lib/PaxHeaders.9829/Net,Net-OBS-Client/lib/PaxHeaders.9829/Net,Net-OBS-Client/lib/Net/PaxHeaders.9829/OBS,Net-OBS-Client/lib/Net/PaxHeaders.9829/OBS,Net-OBS-Client/lib/Net/OBS/PaxHeaders.9829/Client,Net-OBS-Client/lib/Net/OBS/PaxHeaders.9829/Client,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/Roles,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/Roles,Net-OBS-Client/lib/Net/OBS/Client/Roles/PaxHeaders.9829/Client.pm,Net-OBS-Client/lib/Net/OBS/Client/Roles/PaxHeaders.9829/Client.pm,Net-OBS-Client/lib/Net/OBS/Client/Roles/PaxHeaders.9829/BuildStatus.pm,Net-OBS-Client/lib/Net/OBS/Client/Roles/PaxHeaders.9829/BuildStatus.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/DTD.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/DTD.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/BuildResults.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/BuildResults.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/Project.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/Project.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/Package.pm,Net-OBS-Client/lib/Net/OBS/Client/PaxHeaders.9829/Package.pm,Net-OBS-Client/lib/Net/OBS/PaxHeaders.9829/Client.pm,Net-OBS-Client/lib/Net/OBS/PaxHeaders.9829/Client.pm,Net-OBS-Client/PaxHeaders.9829/t,Net-OBS-Client/PaxHeaders.9829/t,Net-OBS-Client/t/PaxHeaders.9829/00-load.t,Net-OBS-Client/t/PaxHeaders.9829/00-load.t,Net-OBS-Client/t/PaxHeaders.9829/01-Net_OBS_Client.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/01-Net_OBS_Client.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/01-Net_OBS_Client_BuildResults.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/01-Net_OBS_Client_BuildResults.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/02-Net_OBS_Client_Package.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/02-Net_OBS_Client_Package.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/03-Net_OBS_Client_Project.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/03-Net_OBS_Client_Project.t.disabled,Net-OBS-Client/t/PaxHeaders.9829/manifest.t,Net-OBS-Client/t/PaxHeaders.9829/manifest.t,Net-OBS-Client/t/PaxHeaders.9829/pod-coverage.t,Net-OBS-Client/t/PaxHeaders.9829/pod-coverage.t,Net-OBS-Client/t/PaxHeaders.9829/pod.t,Net-OBS-Client/t/PaxHeaders.9829/pod.t,Net-OBS-Client/PaxHeaders.9829/xt,Net-OBS-Client/PaxHeaders.9829/xt,Net-OBS-Client/xt/PaxHeaders.9829/boilerplate.t,Net-OBS-Client/xt/PaxHeaders.9829/boilerplate.t,Net-OBS-Client/PaxHeaders.9829/pm_to_blib,Net-OBS-Client/PaxHeaders.9829/pm_to_blib,Net-OBS-Client/PaxHeaders.9829/KankuFile,Net-OBS-Client/PaxHeaders.9829/KankuFile,Net-OBS-Client/PaxHeaders.9829/contrib,Net-OBS-Client/PaxHeaders.9829/contrib,Net-OBS-Client/contrib/PaxHeaders.9829/wait_for_project.pl,Net-OBS-Client/contrib/PaxHeaders.9829/wait_for_project.pl,Net-OBS-Client/contrib/PaxHeaders.9829/project.pl,Net-OBS-Client/contrib/PaxHeaders.9829/project.pl,Net-OBS-Client/contrib/PaxHeaders.9829/package.pl,Net-OBS-Client/contrib/PaxHeaders.9829/package.pl,Net-OBS-Client/contrib/PaxHeaders.9829/buildresults.pl,Net-OBS-Client/contrib/PaxHeaders.9829/buildresults.pl,Net-OBS-Client/PaxHeaders.9829/Changes,Net-OBS-Client/PaxHeaders.9829/Changes,Net-OBS-Client/PaxHeaders.9829/README,Net-OBS-Client/PaxHeaders.9829/README,Net-OBS-Client/PaxHeaders.9829/Makefile.PL,Net-OBS-Client/PaxHeaders.9829/Makefile.PL

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

no_generated_files

Remove the offending files/directories!

Error: pm_to_blib

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (19) does not match dist (28):
  • Missing in MANIFEST: KankuFile, MANIFEST.SKIP, contrib/buildresults.pl, contrib/package.pl, contrib/project.pl, contrib/wait_for_project.pl, ignore.txt, pm_to_blib, t/01-Net_OBS_Client.t.disabled, t/01-Net_OBS_Client_BuildResults.t.disabled, t/02-Net_OBS_Client_Package.t.disabled, t/03-Net_OBS_Client_Project.t.disabled, xt/boilerplate.t
  • Missing in Dist: t/01-Net_OBS_Client.t, t/01-Net_OBS_Client_BuildResults.t, t/02-Net_OBS_Client_Package.t, t/03-Net_OBS_Client_Project.t

prereq_matches_use

List all used modules in META.yml requires

Error:

  • feature

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

no_maniskip_error

Fix the problematic entry.

Error: Quantifier follows nothing in regex; marked by <-- HERE in m/(?:* <-- HERE .bak)/ at site_perl/lib/ExtUtils/Manifest.pm line 440.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
Net::OBS::Client simple OBS API calls 0.000006 metacpan
Net::OBS::Client::BuildResults fetch binarylist and fileinfo metacpan
Net::OBS::Client::DTD metacpan
Net::OBS::Client::Package fetch package information metacpan
Net::OBS::Client::Project metacpan
Net::OBS::Client::Roles::BuildStatus metacpan
Net::OBS::Client::Roles::Client metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan
README metacpan